Name:           geany-plugins
Version:        0.17
Release:        1%{?dist}
Summary:        Plugins for the Geany IDE

Group:          Development/Languages
License:        GPLv2+
URL:            http://git.geany.org/geany-plugins/
Source0:        http://plugins.geany.org/geany-plugins/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  geany-devel = %{version} gettext intltool pkgconfig
Requires:       geany = %{version}

%description
Plugins for Geany. Plugins included are:

* Addons (various small addons)
* Geanygdb (provides integration with gdb)
* Geanylatex (improved support for LaTeX documents)
* Geanylipsum (for inserting blocks of Lorem Ipsum text)
* Geanylua (provides support for scripting with Lua)
* Geanysendmail (allows sending of documents from within Geany)
* Geanyvc (support for various version control systems)
* Shiftcolumn (for moving blocks of text horizontally)
* Spellcheck (for spell checking documents)

%global geany_plug_docdir %{_docdir}/%{name}-%{version}

%prep
%setup -q

%build
%configure --docdir=%{geany_plug_docdir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f geany-plugins.lang
%defattr(-,root,root,-)
%{_libdir}/geany/*
%doc %{geany_plug_docdir}

%changelog
* Tue Jul 14 2009 Jonathan G. Underwood <jonathan.underwood@gmail.com> - 0.17-1
- Update to 0.17 (first upstream release of tarball)
- Fix handling of docs
- Spec file cleanups

* Mon Jun 22 2009 Pingou <pingou@pingoured.fr> 0.1-1
- First RPM for Fedora

